0.5.0 (2025-04-11)
=====
Meson has been added as a build system in this release, and the
associated archive has been generated by 'meson dist'. Although
autotools has been retained for the time being and can still be used
via 'autogen.sh', meson is now the preferred build system, and
autotools will be removed in a future release.

- Remove obsolete ChangeLog
- Update README after switchover to meson
- Fix gauge notifications
- Replace deprecated exo with libxfce4ui 4.21.0
- Change plugin behavior when recording indicator is visible/hidden
- build: Automate copyright year management
- Add meson build
- build: Install 32x32 icons
- build: Remove direct libwnck support
- build: Replace xdt-csource with glib-compile-resources
- Avoid ScaleMenuItem conflicts
- Prevent "g_hash_table_lookup" crash when "key" in NULL
- Rotate plugin in vertical/deskbar orientation
- Fix libxfce4panel include
- build: Bump dependency versions and fix deprecation warnings
- Translation Updates:
  Basque, Finnish, Hungarian, Italian, Romanian, Swedish, Vietnamese

0.4.9 (2024-12-05)
=====
- I18n: Update po/LINGUAS list
- Fix numerous pa_operation leaks
- Fix leaks from the plug-in constructor
- Fix leaks in pulseaudio_volume_connect
- Fix leak with notify_get_server_caps
- build: Require libxfce4windowing 4.19.6
- Use new xfw_window_activate() signature in libwindowing 4.19.6
- build: Use XDT_VERSION_INIT and get rid of configure.ac.in
- I18n: Update po/LINGUAS list
- I18n: Update po/LINGUAS list
- build: Get rid of intltool
- desktop: Generate from desktop.in instead desktop.in.in
- Unconditionally require gio-2.0, gio-unix-2.0
- Properly guard X11 code paths and fix X11 requirements
- Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), English (Canada),
  English (United Kingdom), Estonian, Finnish, French, Galician,
  German, Greek, Hebrew, Hungarian, Icelandic, Indonesian, Interlingue,
  Irish, Italian, Japanese, Kazakh, Korean, Lithuanian, Malay,
  Norwegian Bokmål, Occitan (post 1500), Polish, Portuguese,
  Portuguese (Brazil), Russian, Serbian, Slovak, Slovenian, Spanish,
  Swedish, Thai, Ukrainian

0.4.8 (2023-10-01)
=====
- MPRIS: Use D-Bus name for identifying players
- Fix possible context menu crash with MPRIS playlist
- Add option to make mic icon persistent
- Check for mic widget visibility
- Preserve channel balance when changing sink/source volume
- MPRIS: Add option to send multimedia keys to all players
- MPRIS: Fix default controlled player by multimedia keys
- Remove dead code
- Translation Updates:
  Albanian, Bulgarian, Catalan, Chinese (China), Chinese (Taiwan),
  Danish, Dutch, English (United Kingdom), French, German, Greek,
  Italian, Japanese, Korean, Lithuanian, Norwegian Bokmål, Polish,
  Portuguese, Portuguese (Brazil), Russian, Serbian, Slovenian,
  Swedish, Ukrainian

0.4.7 (2023-06-01)
=====
- Fix crash when D-Bus connection is lost before it's connected
- Fix copyright info
- MPRIS: Control recently open/used player using multimedia keys
- Deduplicate key binding code
- Bind all possible keys
- Update about authors
- MPRIS: Remove old settings when clearing known players
- MPRIS: Ignore multimedia keys for blacklisted players
- MPRIS: Add possibility to hide inactive players, improve config 
storage
- MPRIS: Remove pulseaudio_mpris_player_can_launch function
- MPRIS: Fix memory leak in player finalize
- MPRIS: Remove unused pulseaudio_mpris_player_is_equal function
- MPRIS: Refactor player connection lost and finalize
- MPRIS: Deduplicate find_desktop_entry function
- MPRIS: Make pulseaudio_mpris_get_available_players static
- MPRIS: Check for filename before launching the player
- Improve connection/disconnection with server
- Menu: Don't clear structure, it's not needed
- MPRIS: Reduce player_is_usable timeout to 5 sec
- MPRIS: Memory management fixes
- MPRIS: Don't initialize struct members, GLib is doing it
- MPRIS: Micro-optimization
- MPRIS: Check for is_playing in set_can_play function
- Subscribe NameOwnerChanged to watch MPRIS changes instead of timer
- Fix removing blacklisted MPRIS players from config
- Improve run mixer button sensitivity
- Display default device name in tooltip
- Don't set has-tooltip property twice
- Don't show recording indicator for non-default monitors
- Make run mixer button sensitive for any path
- Show unplugged devices as insensitive
- Don't show rec icon if the source output doesn't belong to any client
- Don't show recording indicator when it's not connected to the source
- Fix mistake in comment
- Don't reset recording value in callback
- Allow maximum volume configuration in dialog
- Improve volume step size text
- Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), English (Canada),
  English (United Kingdom), Finnish, French, Galician, German, Greek,
  Hebrew, Hungarian, Icelandic, Indonesian, Interlingue, Irish,
  Italian, Japanese, Kazakh, Korean, Lithuanian, Malay, Norwegian
  Bokmål, Occitan (post 1500), Polish, Portuguese, Portuguese
  (Brazil), Russian, Serbian, Slovak, Slovenian, Spanish, Swedish,
  Thai, Ukrainian

0.4.6 (2023-03-28)
=====
- Update copyright year
- Fix changing default sink and source devices
- Fix flickering mic icon when recording application is connected
- Avoid critical from xfce4-notifyd if gauge_value > 100
- Display maximum volume of all channels instead of volume of left 
channel
- Add recording base volume indicator
- Control mic volume/mute when mouse cursor is over the mic icon
- Lower warning level
- Improve volume notifications settings
- Show volume notifications from hotkeys according to comment
- Don't set negative volume from hotkeys
- Use correct variable for "volume-mic-changed" signal ID
- Don't force set the default device
- Set recording icon according to recording volume level
- Show source monitor if it is a default source
- Check for recording state on context ready
- Allow volume step configuration in dialog (Fixes #28)
- wnck: Add missing LIBS/CFLAGS in Makefile
- wnck: Use Libxfce4windowing when available
- wnck: Guard X11 code path to prevent crash on Wayland
- wnck: Improve RaiseWnck a bit
- Fix memory leak
- cleanup: Fix formatting
- Fix blurry media player icon from file when UI scale > 1
- Fix blurry icons in prefs dialog when UI scale factor > 1
- Use "logo-icon-name" instead of "logo" in about dialog
- Do not override fatal log level
- build: Bump GLib minimum required to 2.44
- Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), English (Canada),
  Finnish, French, Galician, German, Greek, Hebrew, Hungarian,
  Icelandic, Indonesian, Interlingue, Irish, Italian, Japanese, Kazakh,
  Korean, Lithuanian, Malay, Norwegian Bokmål, Occitan (post 1500),
  Polish, Portuguese, Portuguese (Brazil), Russian, Serbian, Slovak,
  Slovenian, Spanish, Swedish, Thai, Ukrainian

0.4.5
======
- Use Source Output Info for recording indicator
  to reduce flickering (#81) and
  to hide it with pavucontrol (#80)
- Display notification on mic volume changes (Fixes #42)
- Fix accidental toggling of the mute switch (Fixes #64)
- Show notification even when volume is already at max/min (Fixes #52)
- Optionally play system sound on volume changes (Fixes #4)
  (requires libcanberra)
- Fix menu position when panel autohide is enabled
  (requires libxfce4panel >= 4.17.2)
- Fix compilation with gcc 10
- about: Bump copyright year
- Fix typos
- Translation Updates:
  Albanian, Armenian (Armenia), Basque, Belarusian, Bulgarian, Catalan,
  Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish, Dutch,
  Eastern Armenian, English (Canada), French, Galician, German, Greek,
  Hebrew, Hungarian, Indonesian, Irish, Italian, Japanese, Kazakh,
  Korean, Lithuanian, Malay, Norwegian Bokmål, Polish, Portuguese,
  Portuguese (Brazil), Russian, Serbian, Slovak, Slovenian, Spanish,
  Swedish, Thai, Ukrainian

0.4.4
======
- Add a recording indicator
- Filter out multiple button press events
- Bump urls
- Fix make distcheck
- autoconf: AC_OUTPUT -> AC_CONFIG_FILES + AC_OUTPUT
- Update `.gitignore`
- Create new README.md. Update configure.ac.in
- Add basic GitLab pipeline
- Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), English (Canada),
  Finnish, French, Galician, German, Greek, Hebrew, Hungarian,
  Icelandic, Indonesian, Interlingue, Irish, Italian, Japanese, Kazakh,
  Korean, Lithuanian, Malay, Norwegian Bokmål, Occitan (post 1500),
  Polish, Portuguese, Portuguese (Brazil), Russian, Serbian, Slovak,
  Slovenian, Spanish, Swedish, Thai, Turkish, Ukrainian

0.4.3
=====
- Build now requires exo-2 0.11 or newer
- Fixed various memory leaks and warnings
- Removed unused dbus-glib include (Xfce #15343)
- Replaced g_type_class_add_private deprecations
- Updated copyright years
- Updated URLs from goodies.x.o to docs.x.o (Xfce #16173)
- MPRIS: Added support for filename icons (Xfce #14329)
- MPRIS: Added support for single-string variants on xesam:artist
- MPRIS: Added support for the DesktopEntry property (Xfce #14412)
- MPRIS: Added support for the plasma-browser-integration plugin (Xfce #15487)
- MPRIS: Added title/artist conditioning from the track title
- Preferences: Fixed icon rendering known players
- Translation Updates:
  Albanian, Belarusian, Chinese (Taiwan), Galician, Interlingue, Slovenian

0.4.2
=====
- Preferences: Improve spacing
- Translation Updates:
  Basque, Bulgarian, Catalan, Chinese (China), Chinese (Taiwan), Czech,
  Danish, English (Australia), Finnish, French, Galician, German, Hebrew,
  Hungarian, Icelandic, Indonesian, Irish, Italian, Kazakh, Korean,
  Lithuanian, Norwegian Bokmål, Occitan (post 1500), Polish, Portuguese,
  Portuguese (Brazil), Slovak, Slovenian, Thai, Ukrainian

0.4.1
=====

Stable Translations Release.
- Translation Updates: English (Australia), Greek, Italian, Japanese,
  Ukrainian

0.4.0
=====

Stable Release!
- Preferences: Use correct player names and icons in the media player section
- Translation Updates: Catalan, Chinese (China), Croatian, French, Hebrew,
  Italian, Kazakh, Malay, Norwegian Bokmål, Portuguese, Portuguese (Brazil),
  Serbian, Spanish, Swedish, Turkish

0.3.5
=====

- New Feature: Move streams on default output device change (Xfce #14157)
  - Prior to this update, when a new output device was selected, any existing
    streams had to be moved using pavucontrol. This change automatically
    moves any active output streams to the newly selected device.
- New Feature: Management of known MPRIS2 players (Xfce #13903)
  - Known players can now be cleared or selectively hidden from the menu.
- Bug Fixes:
  - Wait for the pulseaudio volume sink to be connected to get the current
    volume state at startup (Xfce #14071, #13677)
  - MPRIS2: stale data retained after Metadata signal (Xfce #14068)
- Translation Updates: Catalan, Chinese (China), Croatian, Czech, Danish,
  Dutch, French, German, Greek, Irish, Japanese, Kazakh, Lithuanian, Malay,
  Portuguese, Portuguese (Brazil), Russian, Serbian, Slovak, Spanish,
  Turkish, Ukrainian

0.3.4
=====

- New Feature: MPRIS Playlist Support
  - Implements the org.mpris.MediaPlayer2.Playlists specification.
  - The most recent 5 playlists are displayed (if supported by the player).
- New Feature: Experimental libwnck Support
  - Some media players do not support the Raise method. This optional
    feature attempts to raise windows by their title.
- General:
  - Unexpected error messages sent via DBUS are now handled gracefully.
  - Numerous memory leaks patched.
- Translation Updates: Chinese (Taiwan), Croatian, Czech, Danish, Dutch,
  French, German, Hebrew, Japanese, Korean, Lithuanian, Polish, Russian,
  Slovak, Spanish, Swedish, Thai

0.3.3
=====

- New Feature: Multimedia Key Support
  - Integrates with the recently added MPRIS2 support
  - Extends multimedia key support to all MPRIS2-enabled media players
- General:
  - Simplified device menus
  - Improved default volume scale increments (steps of 5, max of 150)
  - More code cleanup, dropping unused IDO functions
- Bug Fixes:
  - Xfce 13677: Show volume change notifications when changed with
    another application
  - Xfce 13908: Change default device when changed with another application
  - Xfce 13961: Fix flag in g_bus_watch_name_on_connection() method
  - Xfce 13998: Fix plugin size calculation with multiple rows
- Translation Updates: Croatian, Czech, Danish, Dutch, French, German,
  Indonesian, Kazakh, Korean, Norwegian Bokmål, Polish, Ukrainian

0.3.2
=====

- General:
  - Replace deprecated notify_notification_set_hint calls
- Bug Fixes:
  - Xfce 13889: Fix build with clang (non-void function should return a value
    [-Wreturn-type])
  - Xfce 13894: Fix panel icon size with high DPI
- Translation Updates: Chinese (China), Danish, German, Portuguese (Brazil),
  Swedish

0.3.1
=====

- New Feature: Device Management
  - Switch active audio input and output devices.
  - Control volume of the currently selected device.
  - If there are no input or output devices, the menu items are hidden.
  - This feature does not change the device associated with active streams.
- General:
  - Fixed build warnings with gcc-7
  - Improved code quality with the custom widgets
  - Improved memory management
  - Simplified audio volume controls
- Translation Updates: Bulgarian, Catalan, Czech, Danish, French, Hebrew,
  Croatian, Korean, Lithuanian, Dutch, Polish, Portuguese, Russian, Slovak,
  Slovenian, Thai, Turkish, Ukrainian, Chinese (China), Chinese (Taiwan)

0.3.0
=====

- New Features:
  - Add audio input volume to plugin menu
  - Add (optional) MPRIS2 media player controls
  - Add support for the XF86AudioMicMute key
  - Update help links to the new docs.xfce.org startpage
  - Set the transient hint for volume and mic notifications
- Build requirements updated to Xfce 4.14 minimum:
  - GTK+ 3.20
  - GLib 2.42
- Bug Fixes:
  - Xfce 13585: Compilation errors with xfce4-panel 4.13
  - CID 168081: Result is not floating-point
  - CID 168082: Dereference before null
  - Fixed large size button
- General:
  - Updated credits and copyright notice
- Translation Updates: Bulgarian, Catalan, Chinese (China), Chinese (Taiwan),
  Croatian, Czech, Danish, Dutch, English (Australia), French, Galician,
  German, Greek, Hebrew, Hungarian, Icelandic, Indonesian, Italian, Kazakh,
  Korean, Lithuanian, Malay, Norwegian Bokmal, Occitan (post 1500),
  Polish, Portuguese, Portuguese (Brazil), Russian, Serbian, Slovak, Slovenian,
  Spanish, Swedish, Thai, Turkish, Ukrainian

0.2.5
=====

- Adapt to a panel API change (4.13+)
- Update volume on server events such as change of default output device
- Do not show notifications at start up (bug #12313)
- Do not issue volume notifications when plugin menu is shown.
- Fix several issues with translations
- Translation Updates: Bulgarian, Catalan, Croatian, Czech, Danish, Dutch,
  English (Australia), French, Galician, German, Greek, Hebrew, Hungarian,
  Icelandic, Italian, Kazakh, Korean, Lithuanian, Malay, Norwegian Bokmal,
  Occitan, Polish, Portuguese, Portuguese, Russian, Serbian, Slovak, Spanish,
  Swedish, Thai, Turkish, Ukrainian

0.2.4
=====

- Added a configuration option "show-notifications".
- Reconnect to the PA server when the connection is lost.
- Fixes to the notification update mechanism.

0.2.3
=====

- Corrected copyright and author list
- Added OSD notifications
- >100% audio volume is now allowed (only when using a volume slider)

0.2.2
=====

- Fixed crashes & lockups with Gtk+ 3.14
- Icon fixes
- Added plugin icon
- Added required icons to tarball

0.2.1
=====

Bugfix release for issues with Gtk+-3.14:
- Incorrect mouse coordinate translation in the volume slider.
- Crash on menu popup/popdown.

0.2.0
=====

- Autoconf and automake modernization
- Make the default mixer command a compile-time option
- Add menu item for muting the volume
- Allow execution of the mixer from context menu
- Replace the button with a toggle button that displays a popup with a scale
  for adjusting the volume when activated

0.1.0
=====

- Initial version
